Bug 59278 - New atd cannot be started after installing at-3.1.8-23.i386.rpm
Summary: New atd cannot be started after installing at-3.1.8-23.i386.rpm
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: at   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-04 16:03 UTC by mitchell mcgee
Modified: 2007-04-18 16:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-06 07:02:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mitchell mcgee 2002-02-04 16:03:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
During the install of at-3.1.8-23.i386.rpm received error: execution of %postun 
scriplet from at-3.1.8-12 failed, exit status 1.  This ocurred with either the 
freshen or update rpm option.

The start and stop options for /etc/init.d/atd fail.
Running chkconfig atd on did not resolve the problem.

Version-Release number of selected component (if applicable):
3.1.8-23

How reproducible:
Always

Steps to Reproduce:
1.Install at-3.1.8-23.i386.rpm using the Uvh or Fvh option.
2.Run /etc/init.d/atd start (or stop).
3.
	

Actual Results:  Results of atd start or stop command failed.

Expected Results:  Results of atd start or stop command should be OK.

Additional info:

Reinstalling at-3.1.8-12.i386.rpm makes allows atd to be available, but without 
the security fixes provided by at-3.1.8-23.

Comment 1 Ben Levenson 2002-02-13 01:08:46 UTC
I'm haven't successfully reproduced this.
------------------------------------------------------------------
# cat /etc/redhat-release
Red Hat Linux release 7.0 (Guinness)
# rpm -q at
at-3.1.8-12
# rpm -Uvh at-3.1.8-23.i386.rpm
Preparing...                ########################################### [100%]
   1:at                     ########################################### 
[100%]
# /etc/init.d/atd stop
Stopping atd:                                              [  OK  ]
# /etc/init.d/atd start
Starting atd:                                              [  OK  ]
# /etc/init.d/atd
Usage: /etc/init.d/atd {start|stop|restart|condrestart|status}
# /etc/init.d/atd condrestart
Stopping atd:                                              [  OK  ]
Starting atd:                                              [  OK  ]
# service atd status
atd (pid 17818) is running...
-------------------------------------------------------------------
What is the output from trying to start/stop the service?

Comment 2 mitchell mcgee 2002-02-13 13:48:53 UTC
This is the output from the upgrade and subsequent atd start and stop attempts

# rpm -Uvh at*.rpm
Preparing...                ########################################### [100%]
warning: user daemon does not exist - using root
warning: group daemon does not exist - using root
warning: user daemon does not exist - using root
warning: group daemon does not exist - using root
warning: user daemon does not exist - using root
warning: group daemon does not exist - using root
   1:at                     ########################################### [100%]
error: execution of %postun scriptlet from at-3.1.8-12 failed, exit status 1
# /etc/init.d/atd start
Starting atd:                                              [FAILED]
# /etc/init.d/atd stop
Stopping atd:                                              [FAILED]
[root@dt09fu02 archive]#
# /etc/init.d/atd status
atd is stopped
# /etc/init.d/atd
Usage: /etc/init.d/atd {start|stop|restart|condrestart|status}
# /etc/init.d/atd start
Starting atd:                                              [FAILED]
# /etc/init.d/atd status
atd is stopped


Comment 3 Bill Nottingham 2002-03-25 14:11:37 UTC
You don't have a daemon group on your system; that's one of the default system
groups, and it's required for at.

Comment 4 mitchell mcgee 2002-03-25 14:30:48 UTC
Ah, but I do have the daemon User and Group.  I didn't think anything of it, 
because switching to root should resolve any permission problems anyway.

# su - daemon
sh-2.04$ exit
logout



Note You need to log in before you can comment on or make changes to this bug.